
:root {
	
	--color--black: #333333; 
	
	--color--white: #F0F0F0; 
	
	--color--gray: #717171; 
	
	--color--lightgray: #C9C6C6; 
	
	--color--taupe: #F2EDED; 
	
	--color--brown: #876E71; 
	
	--color--yellow: #EAB05B; 
	
	--color--red: #B15D42; 
	
	--color--highlight: #80B9B4; 
	
	--margin: 30px;
        --content-width: 1024px;
}

* {
        margin: 0;
        padding: 0;
        font-weight: normal;
        color: inherit;
        background: transparent;
        box-sizing: inherit;
        /* Add more properties here */
}

/* [2] tl;dr; Provide inheritable defaults (base case) */
html {
        box-sizing: border-box;
        font-size: 16px;
        font-family: SF-Pro-Display, Roboto, sans-serif !important;
        color: var(--color--black);
        line-height: 1.75;
        background: var(--color--white);
        /* provide defaults for properties in [1] (except margin & padding */
}



:root {
	--header--step: 1.333;
	--header--base: clamp(0.25rem, 2vw, 0.75rem);
}

h6 { font-size: var(--header--base); }

h5 {
	font-size: calc(
		var(--header--base) * 
		var(--header--step)
	);
}

h4 { 
	font-size: calc(
		var(--header--base) * 
		var(--header--step) * 
		var(--header--step)
	); 
}

h3 { 
	font-size: calc(
		var(--header--base) * 
		var(--header--step) * 
		var(--header--step) * 
		var(--header--step)
	);
}

h2 {
	font-size: calc(
		var(--header--base) * 
		var(--header--step) * 
		var(--header--step) * 
		var(--header--step) * 
		var(--header--step)
	);
}

h1 { 
	font-size: calc(
		var(--header--base) * 
		var(--header--step) * 
		var(--header--step) * 
		var(--header--step) * 
		var(--header--step) * 
		var(--header--step)
	);
}

h1, h2, h3, h4, h5, h6 {
	text-transform: capitalize;
	width: 75%;
	word-break: break-word;
}

a {
	border: none;
	text-decoration: none;
	color: var(--color--brown);
}

a:active,
a:hover {
	color: var(--color--taupe);
	border-color: var(--color--taupe);
}

strong {
	font-weight: bold;
}

img {
	max-width: 100%;
	height: auto;
}

/*
 * Body Structure
 */

body {
	display: flex;
	flex-flow: column nowrap;
	align-items: center;
	min-height: 100vh;
}

body > main {
	flex: 1;
	width: 100%;
	display: flex;
	flex-flow: column nowrap;
	align-items: center;
}

body > header {
	padding: 1rem;
	box-sizing: border-box;
	display: flex;
	justify-content: center;
	flex-flow: column nowrap;
	align-items: center;
}

body > footer {
	color: var(--color--black);
	display: flex;
	flex-flow: column nowrap;
	justify-content: center;
	align-items: center;
	width: 100%;

	font: 10pt lato-regular, sans-serif;
	text-align: center;
}

footer section {
	padding: var(--margin);
}

section {
	display: flex;
	flex-flow: column nowrap;
	align-items: center;
	width: 100%;
}

main > section,
body > footer {
	position: relative;
}

body > header,
.contentwidth,
main > section:not(.fullwidth) {
	padding: var(--margin) calc(var(--margin) + calc(max(0px, calc(100% - var(--content-width))) / 2));
}

/*
 * Content Styling
 */

main section {
	text-align: left;
	display: flex;
	flex-flow: column nowrap;
	align-items: flex-start;
	row-gap: var(--margin);
	font: 14pt lato-regular, sans-serif;
	line-height: 135%;
}

main section ol,
main section ul {
	display: flex;
	flex-flow: column nowrap;
	list-style-position: inside;
	text-align: left;
}

main section ol ul,
main section ul ol,
main section ol ol,
main section ul ul {
	padding-left: var(--margin);
}

main section ul li > *:not(ul):not(ol):not(table),
main section ol li > *:not(ul):not(ol):not(table) {
	display: inline;
} 

main section > ol:not(:last-child),
main section > ul:not(:last-child),
main section p:not(:last-child) {
	margin-bottom: calc(var(--margin) / 4);
}

main section > ol:not(:first-child),
main section > ul:not(:first-child),
main section p:not(:first-child) {
	margin-top: calc(var(--margin) / 4);
}

main section p img {
	max-width: 100%;
	height: auto;
}

main section h1,
main section h2,
main section h3,
main section h4,
main section h5,
main section h6 {
	width: 100%;
	line-height: 1.2;
	font-weight: 600;
}

main section h1:not(:last-child),
main section h2:not(:last-child),
main section h3:not(:last-child),
main section h4:not(:last-child),
main section h5:not(:last-child),
main section h6:not(:last-child) {
	margin-bottom: calc(var(--margin) / 2);
}

main section h1:not(:first-child),
main section h2:not(:first-child),
main section h3:not(:first-child),
main section h4:not(:first-child),
main section h5:not(:first-child),
main section h6:not(:first-child) {
	margin-top: calc(var(--margin) / 2);
}

main section a:not(:has(*)) {
	border-bottom: 1px dotted currentColor;
}

main section article {
	max-width: 100%;
}

main section article > header {
	display: flex;
	flex-flow: row wrap-reverse;
	align-items: center;
	gap: calc(var(--margin) / 2);
	margin-bottom: calc(var(--margin) / 2);
}

main section code {
	font-family: monospace;
}

main section :not(pre) > code {
	background: var(--color--taupe);
	border: 1px solid var(--color--lightgray);
	padding: 0 .2em;
}

main section pre {
	overflow: auto;
	background: var(--color--taupe);
	border: 1px solid var(--color--lightgray);
	padding: .1em .4em;
}

main section blockquote p {
	display: inline;
}

main section blockquote {
	border-left: 5px solid var(--color--yellow);
	margin: 1.5em 10px;
	padding: .5em 10px;
}

/*
 * Column Layout
 */

.layout-container {
	display: flex;
	flex-flow: row wrap;
	gap: var(--margin);
	--adj-100: calc(var(--content-width) - calc(2 * var(--margin)));
    	--with-gaps: calc(var(--adj-100) - var(--margin));
}

/* full-width column */
.column-1-1 {
	flex: 1 1 100%;
}

/* quarter width column */
.column-1-4 {
	flex: 1 1 calc(var(--with-gaps) / 4);
}

/* half-width column */
.column-1-2 {
	flex: 1 1 calc(var(--with-gaps) / 2);
}

.column-1-3 {
	flex: 1 1 calc(var(--with-gaps) / 3);
}

.column-2-3 {
	flex: 1 1 calc(2 * calc(var(--with-gaps) / 3));
}

.fixed-size {
	flex-grow: 0;
	flex-shrink: 0;
}

/*
 * Sitewide Header
 */

body > header > a {
	display: flex;	
}

.title {
	font: 50px ostrich-bold, sans-serif;
	margin: calc(var(--margin) / 2);
}

.subtitle {
	font: 30px ostrich-semibold, sans-serif;
	margin: 10px;
}

.tagline {
	font: 20px ostrich-semibold, sans-serif;
	margin: 10px;
}

#name-title {
	color: var(--color--red);
}

/*
 * Post Header
 */

.post-title {
	font-family: ostrich-bold, sans-serif;
	color: var(--color--highlight);
}

.post-date {
	font: 1em ostrich-bold, sans-serif;
	color: var(--color--gray);
}

/*

Post Decoration Styles (Legacy)

*/

.read-more {
	font: 12pt lato-regular, sans-serif;
	color: var(--color--gray);
}
